{% extends 'base.html' %}
{% block header %}
    <style>
        .m-description > span {
            color: #b2b2b2;
        }

        .m-card {
            padding: 20px;
            background-color: white;
            border-radius: 5px;
            margin-top: 8px;
            box-shadow: 0 0 0 1px rgb(63 63 68 / 5%), 0 1px 3px 0 rgb(63 63 68 / 15%);
        }
    </style>
{% endblock header %}
{% block title %}
    ثبت‌ نام
{% endblock %}
{% block body_title %}
    ثبت نام
{% endblock %}
{% block content %}
    <div class="ui middle aligned center aligned grid">
        <div class="column">
            <div class="m-description">
                <span>
                    اطلاعات خود را وارد کنید
                </span>
            </div>
            <form action="/account/signup/" method="POST" class="ui large form">
                {% csrf_token %}
                {% for error in errors %}
                    <div class="m-error">
                        <span>
                            {{ error }}
                        </span>
                    </div>
                {% endfor %}
                <div class="m-card">
                    <div class="field">
                        <label>اطلاعات کاربری</label>
                        <div class="two fields">
                            <div class="field">
                                <input type="text" value="{{ form.data.username }}" name="username" maxlength="150" autofocus="" required=""
                                       id="id_username" placeholder="نام کاربری"></div>
                            <div class="field">
                                <input type="email" value="{{ form.data.email }}" name="email" maxlength="254" id="id_email"
                                       placeholder="پست الکترونیک">
                            </div>
                        </div>
                    </div>
                    <div class="field">
                        <label>نام و نام خانوادگی</label>
                        <div class="two fields">
                            <div class="field">
                                <input type="text" value="{{ form.data.first_name }}" name="first_name" placeholder="نام">
                            </div>
                            <div class="field">
                                <input type="text" value="{{ form.data.last_name }}" name="last_name" placeholder="نام‌ خانوادگی">
                            </div>
                        </div>
                    </div>
                    <div class="two fields">
                        <div class="field">
                            <label for="id_phone_number">شماره تماس</label>
                            <input type="text" placeholder="مثال: ۰۹۱۲۳۴۵۶۷۸۹" name="phone_number" maxlength="11"
                                   required="" id="id_phone_number" pattern="[0]{1}[0-9]{10}" value="{{ form.data.phone_number }}">
                        </div>
                        <div class="field">
                            <label for="id_national_id">کد ملی</label>
                            <input type="text" name="national_id" maxlength="11" required=""
                                   id="id_national_id" value="{{ form.data.national_id }}">
                        </div>
                    </div>
                    <div class="two fields">
                        <div class="field">
                            <label for="id_gender">جنسیت</label>
                            <select name="gender" required="" id="id_gender">
                                <option value="male">آقا</option>
                                <option value="female">خانم</option>
                            </select>
                        </div>
                        <div class="field">
                            <label>نوع</label>
                            <select name="type" class="ui dropdown">
                                <option value="">-</option>
                                <option value="1">مشتری</option>
                                <option value="0">متخصص</option>
                            </select>
                        </div>
                    </div>
                    <p>
                        <label for="id_password1">رمز عبور</label>
                        <input type="password" name="password1" autocomplete="new-password" required=""
                               id="id_password1">
                        <span class="helptext"></span>
                    </p>
                    <p>
                        <label for="id_password2">تکرار رمز عبور</label>
                        <input type="password" name="password2" autocomplete="new-password" required=""
                               id="id_password2">
                        <br>
                        <small>
                            رمز شما باید حاوی اعداد، حروف کوچک و بزرگ انگلیسی و علامت‌های خاص مانند @ ، _ و بیشتر از ۸
                            کاراکتر باشد
                        </small>
                        <br>
                    </p>
                    <button type="submit" class="ui submit button fluid m-primary-button">
                        ثبت‌نام
                    </button>
                </div>
            </form>
        </div>
    </div>
{% endblock content %}